MetaDataAccessException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jdbc.support

## Class MetaDataAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.springframework.core.NestedCheckedException
      - - org.springframework.jdbc.support.MetaDataAccessException

- All Implemented Interfaces:
    Serializable

      public class MetaDataAccessException
      extends NestedCheckedException

  Exception indicating that something went wrong during JDBC metadata lookup.

  This is a checked exception since we want it to be caught, logged and handled rather than cause the application to fail. Failure to read JDBC metadata is usually not a fatal problem.

  Since:
    1.0.1
  Author:
    Thomas Risberg
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaDataAccessException(String msg)` Constructor for MetaDataAccessException.
    `MetaDataAccessException(String msg, Throwable cause)` Constructor for MetaDataAccessException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedCheckedException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MetaDataAccessException

          public MetaDataAccessException(String msg)

      Constructor for MetaDataAccessException.
      Parameters:
        `msg` - the detail message

    - #### MetaDataAccessException

          public MetaDataAccessException(String msg,
                                 Throwable cause)

      Constructor for MetaDataAccessException.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause from the data access API in use